﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MVCPresentation.Models;

namespace MVCPresentation.Controllers
{
    public class AtomController : Controller
    {
        //
        // GET: /Atom/
        AtomRepository _repository;

        public ActionResult Index()
        {
            _repository = new AtomRepository();
            ViewData["AtomList"] = _repository.GetAll();
            return View();
        }

        public ActionResult AddElement()
        {
            _repository = new AtomRepository();
            Atom atom = new Atom();
            atom.Electrons = int.Parse(Request.Form["electrons"]);
            atom.Protons = int.Parse(Request.Form["protons"]);
            atom.Neutrons = int.Parse(Request.Form["neutrons"]);
            atom.ElementName = Request.Form["elementname"];
            _repository.Add(atom);
            _repository.Save();
            TempData["message"] = atom.ElementName + " Saved.";
            return RedirectToAction("Index");
        }


        public ActionResult Details(int id)
        {
            _repository = new AtomRepository();
            Atom atom = _repository.FindByAtomicWeight(id);
            ViewData["atom"] = atom;
            return View();
        }
    }
}
