﻿<%@ Page Title="Typed Elements" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MVCPresentation.Models.Atom>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Typed Elements
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% Html.EnableClientValidation(); %>
    <h2>Typed Elements</h2>
    <div style="float:left;margin-right:10px;">
    <img alt="periodictable" src="../../images/periodic_table.gif" />
    </div>
    <% using (Html.BeginForm("AddElement", "Atom"))
       { %>
    <div style="float:left;width:550px;">
        <div style="background-color:#E8EEF4;font-weight:bold;padding:5px;">Add Element</div>
        <div>
            <div>Protons:</div>
            <%= Html.TextBoxFor(a => a.Protons) %>
        </div>
        <div>
            <div>Electrons: </div>
            <%= Html.TextBoxFor(a => a.Electrons)%>
            <%= Html.ValidationMessageFor(a => a.Electrons) %>
        </div>
        <div>
            <div>Neutrons: </div>
            <%= Html.TextBoxFor(a => a.Neutrons)%>
        </div>
        <div>
            <div>Element Name: </div>
            <%= Html.TextBoxFor(a => a.ElementName)%>
            <%= Html.ValidationMessageFor(a => a.ElementName) %>
        </div>
        <div>
            <input type="submit" value="Add Element" /> <div style="font-weight:bold;color:Red"><%= TempData["message"] %></div>
        </div>
        <div style="background-color:#E8EEF4;font-weight:bold;clear:both;margin-top:10px;padding:5px;">Elements</div>
        <div>
        <table>
            <thead>
                <tr>
                    <td>Element Name</td>
                    <td>Protons</td>
                    <td>Electrons</td>
                    <td>Neutrons</td>
                    
                </tr>
            </thead>
            <%
                List<MVCPresentation.Models.Atom> atomList = (List<MVCPresentation.Models.Atom>)ViewData["AtomList"];
                foreach (MVCPresentation.Models.Atom atom in atomList)
                    {
                %>
                    <tr>
                        <td><%=  Html.ActionLink(atom.ElementName, "Details", "TypedAtom", new {id = atom.Protons}, null) %></td>
                        <td><%= atom.Protons.ToString() %></td>
                        <td><%= atom.Electrons.ToString() %></td>
                        <td><%= atom.Neutrons.ToString() %></td>
                    </tr>
                <% } %>
        </table>
        </div>
    </div>
    <% } %>
    
    <div style="clear:both"></div>
</asp:Content>
