﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MVCPresentation.Models;

namespace MVCPresentation.Controllers
{
    public class TypedAtomController : Controller
    {
        //
        // GET: /TypedAtom/
        AtomRepository _repository;

        public ActionResult Index()
        {
            _repository = new AtomRepository();
            ViewData["AtomList"] = _repository.GetAll();
            return View();
        }

        public ActionResult AddElement(Atom atom)
        {
            _repository = new AtomRepository();
            _repository.Add(atom);
            _repository.Save();
            TempData["message"] = atom.ElementName + " Saved.";
            return RedirectToAction("Index","TypedAtom");
        }

        public ActionResult Details(int id)
        {
            _repository = new AtomRepository();
            Atom atom = _repository.FindByAtomicWeight(id);
            return View(atom);
        }

    }
}
