﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MVCPresentation.Models
{
    public class AtomRepository : Repository<Atom>
    {
        public Atom FindByName(string name)
        {
            return _list.Where(a => a.ElementName == name).FirstOrDefault();
        }

        public Atom FindByAtomicWeight(int weight)
        {
            return _list.Where(a => a.Protons == weight).FirstOrDefault();
        }
    }
}