﻿<%@ Page Title="Elements" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Elements
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Elements</h2>
    <div style="float:left;margin-right:10px;">
    <img alt="periodictable" src="../../images/periodic_table.gif" />
    </div>
    <% using (Html.BeginForm("AddElement", "Atom"))
       { %>
    <div style="float:left;width:500px;">
        <div style="background-color:#E8EEF4;font-weight:bold;padding:5px;">Add Element</div>
        <div>
            <div>Protons:</div>
            <input id="protons" name="protons" style="width:200px;" />
        </div>
        <div>
            <div>Electrons: </div>
            <input id="electrons" name="electrons" style="width:200px;" />
        </div>
        <div>
            <div>Neutrons: </div>
            <input id="neutrons" name="neutrons" style="width:200px;" />
        </div>
        <div>
            <div>Element Name: </div>
            <input id="elementname" name="elementname" style="width:200px;" />
        </div>
        <div>
            <input type="submit" value="Add Element" /> <div style="font-weight:bold;color:Red"><%= TempData["message"] %></div>
        </div>
        <div style="background-color:#E8EEF4;font-weight:bold;clear:both;margin-top:10px;padding:5px;">Elements</div>
        <div>
        <table>
            <thead>
                <tr>
                    <td>
                        Element Name
                    </td>
                    <td>Protons</td>
                    <td>Electrons</td>
                    <td>Neutrons</td>
                    
                </tr>
            </thead>
            <%
                List<MVCPresentation.Models.Atom> atomList = (List<MVCPresentation.Models.Atom>)ViewData["AtomList"];
                foreach (MVCPresentation.Models.Atom atom in atomList)
                    {
                %>
                    <tr>
                        <td><a href="/Atom/Details/<%= atom.Electrons.ToString() %>"><%= atom.ElementName %></a></td>
                        <td><%= atom.Protons.ToString() %></td>
                        <td><%= atom.Electrons.ToString() %></td>
                        <td><%= atom.Neutrons.ToString() %></td>
                    </tr>
                <% } %>
        </table>
        </div>
    </div>
    <% } %>
    
    <div style="clear:both"></div>
</asp:Content>
